# Add Motion

Adds natural motion or animation to an existing avatar or look, turning a still image into a moving, lifelike one. 

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/photo_avatar/add_motion": {
      "post": {
        "summary": "Add motion",
        "description": "Add motion to an existing photo avatar, returns the id of the new avatar that has motion",
        "operationId": "add-motion",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "description": "Unique identifier of the avatar/look. For avatars, this ID can be retrieved from <a href=\"https://docs.heygen.com/reference/create-photo-avatar-group\" target=\"_blank\">Create Photo Avatar Group</a> endpoint. For looks, this ID can be retrieved from <a href=\"https://docs.heygen.com/reference/add-looks-to-photo-avatar-group\" target=\"_blank\">Add Looks to Photo Avatar Group</a> endpoint"
                  },
                  "prompt": {
                    "type": "string",
                    "description": "Text prompt describing the avatar's movement or desired animation. Used to guide motion generation. "
                  },
                  "motion_type": {
                    "type": "string",
                    "description": "Motion engine to use for adding movement. ",
                    "default": "consistent",
                    "enum": [
                      "expressive",
                      "consistent",
                      "consistent_gen_3",
                      "hailuo_2",
                      "veo2",
                      "seedance_lite",
                      "kling"
                    ]
                  }
                },
                "required": [
                  "id"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Motion added successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "id": "52dbb5cd70c126e9862f22ec30c7cdd9"
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "description": "Unique identifier of the generated motion avatar/look. "
                        }
                      },
                      "description": "Contains the motion avatar/look ID. "
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```